import { Plugin as PostCssPlugin } from 'postcss';
import { Tapable } from 'tapable';
import { Compiler } from 'webpack';
export interface Options {
    readonly globPattern: string;
    readonly postCssPlugins?: Array<PostCssPlugin<any>> | ((defaults: ReadonlyArray<PostCssPlugin<any>>) => PostCssPlugin<any>[]);
    readonly camelCase?: boolean;
    readonly rootDir?: string;
    readonly searchDir?: string;
    readonly outDir?: string;
}
export declare class TypedCssModulesPlugin implements Tapable.Plugin {
    private dtsCreator;
    private useIncremental;
    private globPattern;
    constructor({ globPattern, postCssPlugins, camelCase, rootDir, searchDir, outDir, }: Options);
    apply(compiler: Compiler): void;
    private generateCssTypings;
}
